List port in
curl --request GET \
--url https://api.example.com/port-in-requests \
--header 'client_id: <api-key>' \
--header 'secret_key: <api-key>'import requests
url = "https://api.example.com/port-in-requests"
headers = {
"client_id": "<api-key>",
"secret_key": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {client_id: '<api-key>', secret_key: '<api-key>'}};
fetch('https://api.example.com/port-in-requests', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"id": "<string>",
"lineId": "<string>",
"msisdn": "<string>",
"isPortIntra": true,
"provider": {
"id": "<string>",
"name": "<string>"
},
"holder": {
"id": "<string>",
"name": "<string>",
"taxId": "<string>",
"createdAt": "<string>",
"externalCode": "<string>",
"updatedAt": "<string>"
},
"history": [
{
"createdAt": "<string>",
"description": "<string>",
"metadata": {}
}
],
"cancelPortInRequests": [
{
"id": "<string>",
"portInRequestId": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>"
}
],
"createdAt": "<string>",
"externalTicketId": "<string>",
"externalCode": "<string>",
"tenantId": "<string>",
"executionWindowStartDatetime": "<string>",
"metadata": {},
"updatedAt": "<string>"
}
],
"meta": {
"total": 1,
"page": 123,
"pageSize": 123,
"totalPages": 1
}
}Portability
List port-in requests
Lists port-in requests. lineId filters on this service’s line id (the Wave Portability API’s externalLineId).
GET
/
port-in-requests
List port in
Query Parameters
Required string length:
11 - 13Pattern:
^[0-9]+$Available options:
CREATED, REQUESTED, FAILED, CANCELED, CONFLICT, MODIFIED, PENDING, COMPLETED, EXECUTED Required range:
x <= 100⌘I